package models

type UserType string //@enum:type

const (
	UserTypAdmin       UserType = "ADMIN_USER"
	UserTypOrgUser     UserType = "ORGANIZATION_USER"
	UserTypApplication UserType = "APPLICATION_USER"
)

func (e UserType) ToCreatorType() EntryCreatorType {
	return EntryCreatorType(e)
}

type EntryCreatorType string //@enum:type

const (
	EntryCreatorTypAdmin          EntryCreatorType = "ADMIN_USER"
	EntryCreatorTypOrgUser        EntryCreatorType = "ORGANIZATION_USER"
	EntryCreatorTypApplication    EntryCreatorType = "APPLICATION_USER"
	EntryCreatorTypCrawlerGeneric EntryCreatorType = "CRAWLER_GENERIC"
	EntryCreatorTypCrawlerSolseit EntryCreatorType = "CRAWLER_SOLSEIT"
	EntryCreatorTypCrawlerDCX     EntryCreatorType = "CRAWLER_DCX"
)
